@import url('https://fonts.googleapis.com/css?family=Rubik|Montserrat:700|Space+Mono');

:root {
	--transition-in-time: 500ms;
	--transition-out-time: 250ms;
	--dialog-offset: 25px;
	--primary-h: 20deg;
	--tag-h: 30deg;
	--trigger-h: 50deg;
	--variable-h: 70deg;
	--primary-s: 80%;
	--primary-l: 60%;
	--bg-h: 210deg;
	--bg-s: 10%;
	--bg-l-dark: 10%;
	--bg-l-medium: 15%;
	--bg-l-light: 75%;
	--bg-dark: hsl(var(--bg-h), var(--bg-s), var(--bg-l-dark));
	--bg-medium: hsl(var(--bg-h), var(--bg-s), var(--bg-l-medium));
	--bg-light: hsl(var(--bg-h), var(--bg-s), var(--bg-l-light));
	--primary: hsl(var(--primary-h), calc(var(--primary-s) + 20%), var(--primary-l));
	--tag: hsl(var(--tag-h), calc(var(--primary-s) + 20%), var(--primary-l));
	--trigger: hsl(var(--trigger-h), var(--primary-s), var(--primary-l));
	--variable: hsl(var(--variable-h), var(--primary-s), var(--primary-l));
}

* {
	box-sizing: border-box;
}

body {
	font-family: 'Rubik', sans-serif;
	margin: 0;
	background: var(--bg-dark);
	color: var(--bg-light);
}

#config {
	clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
	transition: clip-path 1s cubic-bezier(1,.01,.88,.01);
}

.config-loaded #config {
	clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}

input {
	background-color: transparent;
	color: var(--bg-light);
	text-align: center;
	width: 250px;
	border: 3px solid var(--bg-light);
}

input, button {
	font-family: 'Rubik', sans-serif;
	font-size: 150%;
	padding: 0.5em 1em;
	height: 55px;
	margin: 5px;
	font-weight: bold;
}

button {
	background-color: var(--primary);
	color: var(--bg-dark);
	border: none;
}

header {
	text-align: center;
	margin-top: calc(100vh / 2 - 50%);
}

.config-loaded header {
	margin-top: 0;
	transition: margin-top 2s;
}

h1, h2, h3, h4, h5, h6 {
	font-family: 'Montserrat', sans-serif;
	font-weight: 700;
}

h1 img {
	vertical-align: middle;
	margin-left: 0.3em;
}

main {
	width: calc(100% - 40px);
	max-width: 600px;
	margin: 60px auto;
}

table {
	border-collapse: collapse;
	display: block;
	width: 100%;
}

tr {
	display: flex;
	width: 100%;
}

td, th {
	padding: 5px 5px 5px 0;
	flex: 1;
}

th {
	text-align: left;
}

.trigger.inline {
	display: inline-block;
	position: relative;
}

.comparand {
	display: inline-block;
}

#config > h2 {
	margin-left: 20px;
	margin-top: 40px;
}

.dialog {
	margin: 100px auto;
	max-width: 712px;
	width: calc(100% - 20px);
	background-color: var(--bg-dark);
	padding: 0;
	box-shadow: 3px 3px 20px 5px rgba(0,0,0,0.2);
	transform-origin: 50% 0;
	animation-duration: var(--transition-in-time);
	animation-name: zoom-in;
	/* border-radius: 10px; */
}

.dialog-wrapper.close {
	animation-name: fade-out;
	animation-duration: calc(var(--transition-out-time));
}

.dialog-wrapper.close .dialog {
	animation-name: zoom-out;
	animation-duration: var(--transition-out-time);
}

.dialog-wrapper:nth-of-type(5n+0) .dialog {
	transform: translate(0, calc(var(--dialog-offset)*(-2)));
}

.dialog-wrapper:nth-of-type(5n+1) .dialog {
	transform: translate(0, calc(var(--dialog-offset)*(-1)));
}

.dialog-wrapper:nth-of-type(5n+2) .dialog {
	transform: translate(0, calc(var(--dialog-offset)*(0)));
}

.dialog-wrapper:nth-of-type(5n+3) .dialog {
	transform: translate(0, calc(var(--dialog-offset)*(1)));
}

.dialog-wrapper:nth-of-type(5n+4) .dialog {
	transform: translate(0, calc(var(--dialog-offset)*(2)));
}

.dialog-wrapper:nth-of-type(5n+5) .dialog {
	transform: translate(0, calc(var(--dialog-offset)*(3)));
}

@keyframes zoom-in {
	0% {
		/* transform: scale(0.9); */
		/* clip-path: circle(0 at 0 0); */
		clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
		/* filter: blur(10px); */
	}
	
	100% {
		/* transform: scale(1); */
		/* clip-path: circle(100% at 50% 50%); */
		clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
		/* filter: blur(0px); */
	}
}

@keyframes zoom-out {
	0% {
		/* transform: scale(1); */
		/* clip-path: circle(100% at 50% 50%); */
		clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
		/* filter: blur(10px); */
	}
	
	/* 50% { */
		/* transform: scale(0.9); */
		/* clip-path: circle(0 at 100% 100%); */
		/* filter: blur(0px); */
	/* } */
	
	100% {
		/* transform: scale(0.9); */
		/* clip-path: circle(0 at 100% 100%); */
		clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
		/* filter: blur(0px); */
	}
}

.dialog-backdrop {
	position: fixed;
	z-index: 9001;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background-color: rgba(0, 0, 0, 0.5);
	animation-duration: calc(var(--transition-in-time));
	animation-name: fade-in;
	overflow-y: scroll;
}

@keyframes fade-in {
	0% {
		opacity: 0;
		/* filter: blur(50px); */
	}
	
	50% {
		opacity: 1;
		/* filter: blur(0px); */
	}
	
	100% {
		opacity: 1;
		/* filter: blur(0px); */
	}
}

@keyframes fade-out {
	0% {
		opacity: 1;
		/* filter: blur(0px); */
	}
	
	100% {
		opacity: 0;
		/* filter: blur(50px); */
	}
}

.dialog .panel {
	background: transparent;
	/* border: 1px solid #ddd; */
	padding: 20px;
	/* border-radius: 10px; */
}

.dialog .panel:not(:last-child) {
	margin-bottom: 10px;
}

.panel h2 {
	margin: 0;
}

/* .panel.name {
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
	margin: -20px;
	border-left: none;
	border-top: none;
	border-right: none;
	padding: 20px 40px;
}

.panel.name h2 {
	margin-bottom: 0;
} */

.section-heading {
	/* border-top: 1px solid var(--tag); */
	padding-top: 20px;
}

.clickable {
	cursor: pointer;
}

.predicate {
	margin-top: 10px;
}

/* .predicate:not(:last-child) {
	margin-bottom: 15px;
} */

.property {
	line-height: 20px;
}

.property:not(:last-child) {
	margin-bottom: 20px;
}

.property label, .property .column-name {
}

.property label {
	display: block;
	font-size: 80%;
	opacity: 0.5;
}

.property .value {
	word-break: break-word;
	padding-bottom: 7px;
	padding-top: 2px;
	letter-spacing: .2px;
	margin-top: -2px;
}

.property.code .value {
	font-family: 'Space Mono', monospace;
}

.list-item {
	/* border: 2px solid var(--tag); */
	padding: 20px;
	/* background: var(--tag); */
	/* color: var(--bg-dark); */
	transform: translate(0, 0);
	/* box-shadow: 3px 5px 5px 0 rgba(0, 0, 0, 0.2); */
	/* transition: transform 100ms, box-shadow 100ms, background 100ms; */
	/* border: 5px solid var(--tag); */
}

.clickable {
	/* border: 2px solid var(--tag); */
	/* padding: 20px; */
	background: var(--primary);
	color: var(--bg-dark);
	/* transform: translate(0, 0); */
	/* box-shadow: 3px 5px 5px 0 rgba(0, 0, 0, 0.2); */
	transition: transform 100ms, box-shadow 100ms, background 100ms;
	border: 5px solid var(--tag);
}

.clickable:hover {
	/* box-shadow: 5px 5px 0 0 rgba(0, 0, 0, 0.3); */
	/* transform: scale(1.02); */
	background: transparent !important;
	color: var(--bg-light);
	/* position: relative; */
	/* z-index: 1; */
}

.list-item .type {
	font-size: 80%;
	opacity: 0.5;
}

.clickable.tag {
	border-color: var(--tag);
	background: var(--tag);
}

.clickable.trigger {
	border-color: var(--trigger);
	background: var(--trigger);
}

.clickable.variable {
	border-color: var(--variable);
	background: var(--variable);
}

.dialog.tag {
	/* border-color: var(--tag); */
}

/* .dialog.tag .name h2 {
	color: var(--tag);
}

.dialog.trigger .name h2 {
	color: var(--trigger);
}

.dialog.variable .name h2 {
	color: var(--variable);
} */

.value.clickable {
	display: inline-block;
	padding: 0.1em 0.2em;
}

.property.code .value.clickable {
	font-family: 'Rubik', sans-serif;
}

.list-item:not(:last-child) {
	margin-bottom: 10px;
}

/* .list-item:first-child {
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
}

.list-item:last-child {
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
} */